## jstest-gtk 0.1.1~git20090722

=== SConstruct ===
##  -*- python -*-
##  jstest-gtk - A graphical joystick tester
##  Copyright (C) 2009 Ingo Ruhnke <grumbel@gmx.de>
##
##  This program is free software: you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation, either version 3 of the License, or
##  (at your option) any later version.
##  
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##  
##  You should have received a copy of the GNU General Public License
##  along with this program.  If not, see <http://www.gnu.org/licenses/>.

env = Environment(CXXFLAGS=["-g", "-Wall", "-Werror"],
                  LIBS=["expat"])
env.ParseConfig('pkg-config --cflags --libs gtkmm-2.4 sigc++-2.0')
env.Program('jstest-gtk', [
    'src/axis_widget.cpp',
    'src/button_widget.cpp',
    'src/throttle_widget.cpp',
    'src/rudder_widget.cpp',
    'src/xml_writer.cpp',
    'src/xml_reader.cpp',
    'src/xml_parser.cpp',
    'src/joystick_list_widget.cpp',
    'src/joystick_test_widget.cpp',
    'src/joystick_calibration_widget.cpp',
    'src/joystick_map_widget.cpp',
    'src/joystick.cpp',
    'src/calibrate_maximum_dialog.cpp',
    'src/remap_widget.cpp',
    'src/evdev_helper.cpp',
    'src/main.cpp'
    ])
    
# EOF #

=== debian/changelog ===
jstest-gtk (0.1.1~git20090722-2) unstable; urgency=low

  * Acknowledge NMU (thanks Gregor!).
  * Limit architectures to those using Linux kernels.
  * Add build-arch/build-indep targets and clean up debian/rules (in
    particular, avoid touching build-stamp from the binary target).
  * Correct Vcs-Browser URL.
  * Restore watch file.
  * Remove obsolete Encoding key from the desktop file.
  * Drop build-dependency on quilt, and correct debian/rules
    appropriately.
  * Add headers to all the patches.
  * Ship NEWS as the upstream changelog.
  * Re-enable typos.patch to fix another typo.
  * Update copyright years and format URL.
  * Rework libraries.patch to use pkg-config for all libraries.
  * Rework flag management to allow hardened builds.
  * Standards-Version 3.9.3, no further change required.

 -- Stephen Kitt <steve@sk2.org>  Mon, 28 May 2012 23:49:12 +0200

jstest-gtk (0.1.1~git20090722-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch from Paul Tagliamonte
    (adds missing include).
    Closes: #667217

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Apr 2012 15:56:27 +0200

jstest-gtk (0.1.1~git20090722-1) unstable; urgency=low

  * Initial release (Closes: #527962).

 -- Stephen Kitt <steve@sk2.org>  Tue, 22 Feb 2011 22:44:48 +0100

=== debian/control ===
Source: jstest-gtk
Section: utils
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <steve@sk2.org>
Build-Depends: debhelper (>= 7), scons, dh-buildinfo,
 libgtkmm-2.4-dev, libsigc++-2.0-dev, libexpat1-dev, libx11-dev
Standards-Version: 3.9.3
Homepage: http://pingus.seul.org/~grumbel/jstest-gtk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/jstest-gtk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/jstest-gtk/

Package: jstest-gtk
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: joystick
Suggests: jstest-gtk-dbg (= ${binary:Version})
Description: joystick testing and configuration tool
 jstest-gtk is a simple graphical joystick tester. It provides a list
 of attached joysticks, and for each one can display which buttons and
 axes are pressed, remap axes and buttons, and calibrate the device.
 .
 Even when your joystick is working mostly fine, you might want to
 give it a try, as the calibration lets you get rid of overlarge
 default deadzones that many joysticks use and which are a noticeable
 problem in some games.
 .
 Installing the joystick package in addition to this one will allow
 you to store your calibration settings and mappings and have the
 automatically restored.

Package: jstest-gtk-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: jstest-gtk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: joystick testing and configuration tool - debug
 jstest-gtk is a simple graphical joystick tester. It provides a list
 of attached joysticks, and for each one can display which buttons and
 axes are pressed, remap axes and buttons, and calibrate the device.
 .
 Even when your joystick is working mostly fine, you might want to
 give it a try, as the calibration lets you get rid of overlarge
 default deadzones that many joysticks use and which are a noticeable
 problem in some games.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS := $(shell DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs -Wl,--as-needed" dpkg-buildflags --get LDFLAGS)
# SCons passes $LINKFLAGS to the compiler as a single argument
# so we build up a single -Wl argument
LINKFLAGS = -Wl$(shell for arg in $(subst -Wl,,$(LDFLAGS)); do echo -n $$arg; done)
export CPPFLAGS CFLAGS CXXFLAGS LINKFLAGS

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	scons \
		prefix=/usr \
		resources_dir=/usr/share/jstest-gtk \
		lib_dir="$(CURDIR)"
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp
	-scons -c
	rm -f config.log options.cache
	rm -f rm .sconsign.dblite
	rm -rf .sconf_temp build
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

# Build architecture-independent files here.
binary-indep: install

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_installexamples
	dh_install
	cp data/generic.png debian/jstest-gtk/usr/share/pixmaps/jstest-gtk.png
	dh_installmenu
	dh_installman debian/jstest-gtk.1
	dh_link
	dh_strip --dbg-package=jstest-gtk-dbg
	dh_compress
	dh_fixperms
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: config build-indep build-arch build clean binary-indep binary-arch binary install

## jstest-gtk 0.1.1~git20140501

=== SConstruct ===
--- 
+++ 
@@ -15,9 +15,8 @@
 ##  You should have received a copy of the GNU General Public License
 ##  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-env = Environment(CXXFLAGS=["-g", "-Wall", "-Werror"],
-                  LIBS=["expat"])
-env.ParseConfig('pkg-config --cflags --libs gtkmm-2.4 sigc++-2.0')
+env = Environment(CXXFLAGS=["-g", "-Wall", "-Werror"])
+env.ParseConfig('pkg-config --cflags --libs gtkmm-2.4 sigc++-2.0 expat x11')
 env.Program('jstest-gtk', [
     'src/axis_widget.cpp',
     'src/button_widget.cpp',

=== debian/changelog ===
jstest-gtk (0.1.1~git20140501-2) unstable; urgency=medium

  * Fix flags-from-env.patch so the package builds again.
  * Refresh patches.
  * Upgrade to debhelper compatibility level 9.
  * Rework debian/rules in simplified dh style.
  * Drop Debian-specific menu.
  * Add keywords to the .desktop file.
  * Standards-Version 3.9.6, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 10 Nov 2015 09:19:53 +0100

jstest-gtk (0.1.1~git20140501-1) unstable; urgency=low

  * New upstream snapshot.
  * Drop libraries.patch, gcc-4.7.patch and typos.patch, merged upstream.
  * Move packaging to git.
  * Switch to my Debian address.
  * Standards-Version 3.9.5, no change required.
  * Switch to default compression options.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 May 2014 21:57:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen Kitt <steve@sk2.org>
-Build-Depends: debhelper (>= 7), scons, dh-buildinfo,
+Uploaders: Stephen Kitt <skitt@debian.org>
+Build-Depends: debhelper (>= 9), scons, dh-buildinfo,
  libgtkmm-2.4-dev, libsigc++-2.0-dev, libexpat1-dev, libx11-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://pingus.seul.org/~grumbel/jstest-gtk/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/jstest-gtk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/jstest-gtk/
+Vcs-Git: git://anonscm.debian.org/pkg-games/jstest-gtk.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/jstest-gtk.git
 
 Package: jstest-gtk
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS := $(shell DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs -Wl,--as-needed" dpkg-buildflags --get LDFLAGS)
# SCons passes $LINKFLAGS to the compiler as a single argument
# so we build up a single -Wl argument
LINKFLAGS = -Wl$(shell for arg in $(subst -Wl,,$(LDFLAGS)); do echo -n $$arg; done)
export CPPFLAGS CFLAGS CXXFLAGS LINKFLAGS

%:
	dh $@

override_dh_auto_build:
	scons \
		prefix=/usr \
		resources_dir=/usr/share/jstest-gtk \
		lib_dir="$(CURDIR)"

override_dh_auto_clean:
	-scons -c

override_dh_strip:
	dh_strip --dbg-package=jstest-gtk-dbg

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## jstest-gtk 0.1.1~git20160825

=== CMakeLists.txt ===
# jstest-gtk - A graphical joystick tester
# Copyright (C) 2015 Ingo Ruhnke <grumbel@gmx.de>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 2.8)
project(jstest-gtk)

option(WARNINGS "Switch on extra warnings" OFF)
option(WERROR "Turn warnings into errors" OFF)

if(WARNINGS)
  set(WARNINGS_CXX_FLAGS ${WARNINGS_CXX_FLAGS}
    -Wall -Wextra
    -pedantic -Wno-c++0x-compat -Wnon-virtual-dtor
    -Wcast-qual -Winit-self -Wno-unused-parameter
    # -Wconversion -Wshadow -Weffc++
    )
endif()

if(WERROR)
  set(WARNINGS_CXX_FLAGS ${WARNINGS_CXX_FLAGS}
    -Werror)
endif()

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)

if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
endif()

find_package(PkgConfig REQUIRED)
pkg_search_module(GTKMM REQUIRED gtkmm-2.4)
pkg_search_module(SIGCPP REQUIRED sigc++-2.0)
pkg_search_module(X11 REQUIRED x11)

add_library(binreloc STATIC ${CMAKE_CURRENT_SOURCE_DIR}/external/binreloc-2.0/binreloc.c)
set_property(TARGET binreloc PROPERTY COMPILE_DEFINITIONS ENABLE_BINRELOC)

file(GLOB JSTEST_GTK_SOURCES src/*.cpp)

add_executable(jstest-gtk ${JSTEST_GTK_SOURCES})
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/external/binreloc-2.0/
  ${GTKMM_INCLUDE_DIRS}
  ${SIGCPP_INCLUDE_DIRS}
  ${X11_INCLUDE_DIRS})
set_property(TARGET jstest-gtk PROPERTY COMPILE_OPTIONS
  ${GTKMM_CFLAGS_OTHER}
  ${SIGCPP_CFLAGS_OTHER}
  ${X11_CFLAGS_OTHER}
  ${WARNINGS_CXX_FLAGS})
target_link_libraries(jstest-gtk
  binreloc
  ${GTKMM_LIBRARIES}
  ${SIGCPP_LIBRARIES}
  ${X11_LIBRARIES})

# EOF #

=== debian/changelog ===
jstest-gtk (0.1.1~git20160825-4) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Update upstream URLs.

  [ Stephen Kitt ]
  * Switch to debhelper compatibility level 13.
  * Drop the -dbg Breaks/Replaces, the migration is long done.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 14 Jan 2021 09:11:55 +0100

jstest-gtk (0.1.1~git20160825-3) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Update debian/copyright.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 May 2018 11:38:10 +0200

jstest-gtk (0.1.1~git20160825-2) unstable; urgency=medium

  * Hard-code the data directory instead of relying on binreloc
    (closes: #850022, #850569).
  * Enable all hardening options.

 -- Stephen Kitt <skitt@debian.org>  Tue, 10 Jan 2017 09:08:01 +0100

jstest-gtk (0.1.1~git20160825-1) unstable; urgency=medium

  * New upstream snapshot, switching to CMake.
  * Migrate to dbgsym debug packages.
  * Switch to https: VCS URIs (see #810378).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Dec 2016 23:08:53 +0100

=== debian/control ===
Source: jstest-gtk
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libgtkmm-2.4-dev,
               libsigc++-2.0-dev,
               libexpat1-dev,
               libx11-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/games-team/jstest-gtk
Vcs-Git: https://salsa.debian.org/games-team/jstest-gtk.git
Homepage: https://jstest-gtk.gitlab.io/
Rules-Requires-Root: no

Package: jstest-gtk
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: joystick
Description: joystick testing and configuration tool
 jstest-gtk is a simple graphical joystick tester. It provides a list
 of attached joysticks, and for each one can display which buttons and
 axes are pressed, remap axes and buttons, and calibrate the device.
 .
 Even when your joystick is working mostly fine, you might want to
 give it a try, as the calibration lets you get rid of overlarge
 default deadzones that many joysticks use and which are a noticeable
 problem in some games.
 .
 Installing the joystick package in addition to this one will allow
 you to store your calibration settings and mappings and have the
 automatically restored.

=== debian/watch ===
version=4
https://jstest-gtk.gitlab.io/ jstest-gtk-@ANY_VERSION@@ARCHIVE_EXT@

## jstest-gtk 0.1.1~git20180602

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # jstest-gtk - A graphical joystick tester
-# Copyright (C) 2015 Ingo Ruhnke <grumbel@gmx.de>
+# Copyright (C) 2015 Ingo Ruhnke <grumbel@gmail.com>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,6 +16,8 @@
 
 cmake_minimum_required(VERSION 2.8)
 project(jstest-gtk)
+
+include(GNUInstallDirs)
 
 option(WARNINGS "Switch on extra warnings" OFF)
 option(WERROR "Turn warnings into errors" OFF)
@@ -45,18 +47,21 @@
 endif()
 
 find_package(PkgConfig REQUIRED)
-pkg_search_module(GTKMM REQUIRED gtkmm-2.4)
+find_package(Threads)
+pkg_search_module(GTKMM REQUIRED gtkmm-3.0)
 pkg_search_module(SIGCPP REQUIRED sigc++-2.0)
 pkg_search_module(X11 REQUIRED x11)
 
-add_library(binreloc STATIC ${CMAKE_CURRENT_SOURCE_DIR}/external/binreloc-2.0/binreloc.c)
-set_property(TARGET binreloc PROPERTY COMPILE_DEFINITIONS ENABLE_BINRELOC)
+# Copy data files over to build/
+file(GLOB JSTEST_GTK_DATA data/*.png)
+file(
+  COPY ${JSTEST_GTK_DATA}
+  DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/)
 
 file(GLOB JSTEST_GTK_SOURCES src/*.cpp)
 
 add_executable(jstest-gtk ${JSTEST_GTK_SOURCES})
 include_directories(
-  ${CMAKE_CURRENT_SOURCE_DIR}/external/binreloc-2.0/
   ${GTKMM_INCLUDE_DIRS}
   ${SIGCPP_INCLUDE_DIRS}
   ${X11_INCLUDE_DIRS})
@@ -66,9 +71,39 @@
   ${X11_CFLAGS_OTHER}
   ${WARNINGS_CXX_FLAGS})
 target_link_libraries(jstest-gtk
-  binreloc
+  ${CMAKE_THREAD_LIBS_INIT}
   ${GTKMM_LIBRARIES}
   ${SIGCPP_LIBRARIES}
   ${X11_LIBRARIES})
 
+
+install(TARGETS jstest-gtk
+  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
+
+configure_file(
+  ${CMAKE_CURRENT_SOURCE_DIR}/jstest-gtk.sh.in
+  ${CMAKE_BINARY_DIR}/jstest-gtk.sh)
+
+install(FILES
+  ${CMAKE_BINARY_DIR}/jstest-gtk.sh
+  RENAME jstest-gtk
+  PERMISSIONS OWNER_EXECUTE OWNER_READ OWNER_WRITE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+  DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+install(DIRECTORY data/ DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}
+  PATTERN "*~" EXCLUDE)
+
+install(FILES
+  jstest-gtk.desktop
+  DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+
+install(FILES
+  data/generic.png
+  DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
+
+install(FILES
+  ${CMAKE_CURRENT_SOURCE_DIR}/jstest-gtk.1
+  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+
+
 # EOF #

=== debian/changelog ===
jstest-gtk (0.1.1~git20180602-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:19 +1100

jstest-gtk (0.1.1~git20180602-2build1) noble; urgency=medium

  * Rebuild against latest glibmm2.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 11:10:49 -0400

jstest-gtk (0.1.1~git20180602-2) unstable; urgency=medium

  * Rely on the new upstream installation process; this allows jstest-gtk
    to find its files without hard-coding its data directory.
    Closes: #1051546.
  * Update debian/copyright to reflect upstream changes.
  * Upstream provides a man page and .desktop file, remove ours.
  * Install the icon directly using the expected name instead of linking
    to it.
  * Standards-Version 4.6.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 10 Sep 2023 08:11:57 +0200

jstest-gtk (0.1.1~git20180602-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.1.1~git20180602.
  * Switch to gtkmm-3.0. (Closes: #1041797)
  * Drop unnecessary Build-Dependency expat.

 -- Bastian Germann <bage@debian.org>  Mon, 31 Jul 2023 16:32:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: jstest-gtk
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libgtkmm-2.4-dev,
+               libgtkmm-3.0-dev,
                libsigc++-2.0-dev,
-               libexpat1-dev,
                libx11-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/games-team/jstest-gtk
 Vcs-Git: https://salsa.debian.org/games-team/jstest-gtk.git
 Homepage: https://jstest-gtk.gitlab.io/

## jstest-gtk 0.1.1~git20250403.92bdf8e

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,13 +14,31 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-cmake_minimum_required(VERSION 2.8)
-project(jstest-gtk)
+cmake_minimum_required(VERSION 3.5)
+project(jstest-gtk VERSION 0.1.1)
 
 include(GNUInstallDirs)
 
 option(WARNINGS "Switch on extra warnings" OFF)
 option(WERROR "Turn warnings into errors" OFF)
+option(BUILD_TESTS "Build test cases" OFF)
+
+if (BUILD_TESTS)
+  enable_testing()
+endif(BUILD_TESTS)
+
+find_package(Git)
+if(GIT_FOUND AND EXISTS "${CMAKE_SOURCE_DIR}/.git")
+  execute_process(COMMAND ${GIT_EXECUTABLE} describe --tags --always HEAD
+    OUTPUT_VARIABLE GIT_REPO_VERSION
+    OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+  execute_process(COMMAND ${GIT_EXECUTABLE} log -n 1 --pretty=%cd --date=format:%Y-%m-%d ${GIT_REPO_VERSION}
+    OUTPUT_VARIABLE GIT_REPO_DATE
+    OUTPUT_STRIP_TRAILING_WHITESPACE)
+else()
+  set(GIT_REPO_VERSION "${PROJECT_VERSION}")
+endif()
 
 if(WARNINGS)
   set(WARNINGS_CXX_FLAGS ${WARNINGS_CXX_FLAGS}
@@ -61,7 +79,7 @@
 file(GLOB JSTEST_GTK_SOURCES src/*.cpp)
 
 add_executable(jstest-gtk ${JSTEST_GTK_SOURCES})
-include_directories(
+include_directories(SYSTEM
   ${GTKMM_INCLUDE_DIRS}
   ${SIGCPP_INCLUDE_DIRS}
   ${X11_INCLUDE_DIRS})
@@ -75,7 +93,6 @@
   ${GTKMM_LIBRARIES}
   ${SIGCPP_LIBRARIES}
   ${X11_LIBRARIES})
-
 
 install(TARGETS jstest-gtk
   RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
@@ -98,12 +115,11 @@
   DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
 
 install(FILES
-  data/generic.png
-  DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
+  jstest-gtk.svg
+  DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
 
 install(FILES
   ${CMAKE_CURRENT_SOURCE_DIR}/jstest-gtk.1
   DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 
-
 # EOF #

=== debian/changelog ===
jstest-gtk (0.1.1~git20250403.92bdf8e-1) unstable; urgency=medium

  * New upstream snapshot, compatible with CMake 4. Closes: #1113064.
  * The project is now hosted on GitHub, update upstream URLs
    accordingly.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 28 Sep 2025 19:20:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: jstest-gtk
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
@@ -9,10 +8,10 @@
                libgtkmm-3.0-dev,
                libsigc++-2.0-dev,
                libx11-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/jstest-gtk
 Vcs-Git: https://salsa.debian.org/games-team/jstest-gtk.git
-Homepage: https://jstest-gtk.gitlab.io/
+Homepage: https://github.com/Grumbel/jstest-gtk
 Rules-Requires-Root: no
 
 Package: jstest-gtk

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.1.1~git%cd.%h" \
https://github.com/Grumbel/jstest-gtk \
HEAD
